AlsaPlayer 0.99.81

Data Structures | Macros | Typedefs
output_plugin.h File Reference

Go to the source code of this file.

## Data Structures
struct | _output_plugin

## Macros
#define | OUTPUT_PLUGIN_BASE_VERSION 0x1000
#define | OUTPUT_PLUGIN_VERSION (OUTPUT_PLUGIN_BASE_VERSION + 6)

## Typedefs
typedef int | output_version_type
typedef int(* | output_init_type) (void)
typedef int(* | output_open_type) (const char *path)
typedef void(* | output_close_type) (void)
typedef int(* | output_write_type) (void *data, int byte_count)
typedef int(* | output_start_callbacks_type) (void *data)
typedef int(* | output_set_buffer_type) (int *frag_size, int *frag_count, int *channels)
typedef unsigned int(* | output_set_sample_rate_type) (unsigned int rate)
typedef int(* | output_get_queue_count_type) (void)
typedef int(* | output_get_latency_type) (void)
typedef struct _output_plugin | output_plugin
typedef output_plugin *(* | output_plugin_info_type) (void)

## Macro Definition Documentation

## ◆ OUTPUT_PLUGIN_BASE_VERSION

#define OUTPUT_PLUGIN_BASE_VERSION 0x1000

## ◆ OUTPUT_PLUGIN_VERSION

#define OUTPUT_PLUGIN_VERSION (OUTPUT_PLUGIN_BASE_VERSION + 6)

## Typedef Documentation

## ◆ output_close_type

typedef void(* output_close_type) (void)

## ◆ output_get_latency_type

typedef int(* output_get_latency_type) (void)

## ◆ output_get_queue_count_type

typedef int(* output_get_queue_count_type) (void)

## ◆ output_init_type

typedef int(* output_init_type) (void)

## ◆ output_open_type

typedef int(* output_open_type) (const char *path)

## ◆ output_plugin

typedef struct _output_plugin output_plugin

## ◆ output_plugin_info_type

typedef output_plugin*(* output_plugin_info_type) (void)

## ◆ output_set_buffer_type

typedef int(* output_set_buffer_type) (int *frag_size, int *frag_count, int *channels)

## ◆ output_set_sample_rate_type

typedef unsigned int(* output_set_sample_rate_type) (unsigned int rate)

## ◆ output_start_callbacks_type

typedef int(* output_start_callbacks_type) (void *data)

## ◆ output_version_type

typedef int output_version_type

## ◆ output_write_type

typedef int(* output_write_type) (void *data, int byte_count)